package com.huimv.environ.eco.mapper;

import com.huimv.environ.eco.entity.EcoDeviceFlow;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.environ.eco.entity.dto.LastFlowDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zn
 * @since 2022-11-09
 */
@Repository
public interface EcoDeviceFlowMapper extends BaseMapper<EcoDeviceFlow> {

    List<LastFlowDto> getLastFlow(@Param("farmId") String farmId);
}
