package com.huimv.environ.eco.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.environ.eco.entity.EcoDeviceFlow;
import com.huimv.environ.eco.entity.dto.LastFlowDto;
import com.huimv.environ.eco.mapper.EcoDeviceFlowMapper;
import com.huimv.environ.eco.mapper.EcoDeviceMapper;
import com.huimv.environ.eco.service.EcoDeviceFlowService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;


/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-11-09
 */
@Service
public class EcoDeviceFlowServiceImpl extends ServiceImpl<EcoDeviceFlowMapper, EcoDeviceFlow> implements EcoDeviceFlowService {

    @Autowired
    private EcoDeviceFlowMapper ecoDeviceFlowMapper;

    @Override
    public Result getLastFlow(HttpServletRequest request) {
        String farmId = request.getHeader("farmId");
        return new Result(ResultCode.SUCCESS,ecoDeviceFlowMapper.getLastFlow(farmId));
    }
}
