package com.huimv.environ.eco.controller;


import com.huimv.common.utils.Result;
import com.huimv.environ.eco.service.EcoDeviceFlowService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-11-09
 */
@RestController
@RequestMapping("/eco-device-flow")
public class EcoDeviceFlowController {

    @Resource
    private EcoDeviceFlowService ecoDeviceFlowService;

    @PostMapping("/getLastFlow")
    public Result getLastFlow(HttpServletRequest request){
        return ecoDeviceFlowService.getLastFlow(request);
    }

}

